import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

@Component({
  selector: 'app-page-crm-image',
  standalone: true,
  imports: [CommonModule, FormsModule],
  templateUrl: './page-crm-image.html',
  styleUrls: ['./page-crm-image.scss']
})
export class PageCrmImage {
  clientId = '';
  clientName = '';
  chatData = '';

  clients = [
    {
      id: 'C1001',
      name: '张明远',
      type: '企业客户',
      date: '06-28'
    },
    {
      id: 'P2003',
      name: '李思琪',
      type: '个人客户',
      date: '06-27'
    },
    {
      id: 'C1002',
      name: '王建国',
      type: '企业客户',
      date: '06-25'
    },
    {
      id: 'P2004',
      name: '陈晓薇',
      type: '个人客户',
      date: '06-24'
    }
  ];

  recommendations = [
    {
      icon: 'fas fa-user-friends',
      title: '相似客户推荐',
      content: '根据张明远的画像特征，发现3位相似客户，沟通策略可复用率85%',
      tag: '高匹配度',
      buttonText: '查看客户',
      iconColor: 'rgba(74, 143, 231, 0.15)',
      iconTextColor: '#4a8fe7'
    },
    {
      icon: 'fas fa-clock',
      title: '最佳接触时机',
      content: '李思琪的下次最佳联系时间：明天上午10:00-11:30，接通率预测92%',
      tag: '高接通率',
      buttonText: '加入日程',
      iconColor: 'rgba(94, 114, 228, 0.15)',
      iconTextColor: '#5e72e4'
    }
  ];

  searchTerm = '';

  onClientClick(client: any) {
    alert(`进入客户详情页：${client.name}`);
  }

  analyze() {
    if (!this.clientId || !this.clientName || !this.chatData) {
      alert('请填写完整的客户信息和聊天记录');
      return;
    }
    
    alert(`开始分析客户 ${this.clientName} (${this.clientId}) 的聊天记录...`);
  }

  save() {
    if (!this.clientId || !this.clientName || !this.chatData) {
      alert('请填写完整的客户信息和聊天记录');
      return;
    }
    
    alert(`已保存客户 ${this.clientName} (${this.clientId}) 的信息和聊天记录`);
  }
}